#ifndef _API_DAC_H_
#define _API_DAC_H_

void dac_cb_init(u32 dac_cfg);
void dac_set_volume(u8 vol);
void dac_set_dvol(u16 vol);
void dac_fade_process(void);
void dac_aubuf_clr(void);
bool dac_fade_out(void);
bool dac_fade_in(void);
void dac_fade_wait(void);
void dac_digital_enable(void);
void dac_digital_disable(void);
void dac_obuf_init(void);
void dac_power_on(void);
void dac_restart(void);
void dac_power_off(void);
void dac_set_mono(void);
void dacr_output(bool high);

void dac_channel_enable(void);
void dac_channel_disable(void);

enum {
    SPR_48000,
    SPR_44100,
    SPR_38000,
    SPR_32000,
    SPR_24000,
    SPR_22050,
    SPR_16000,
    SPR_12000,
    SPR_11025,
    SPR_8000,
    SPR_96000,
    SPR_88200,
    SPR_192000,
    SPR_176400,
    SPR_384000,
    SPR_352800,
};

#endif
